Admin Audit Activity Events - Calendar Settings

This document lists the events and parameters for Calendar Settings Admin Audit activity events. You can retrieve these events by calling Activities.list() with applicationName=admin.

Calendar Settings

Events of this type are returned with type=CALENDAR_SETTINGS.

Building Creation

Event details
Event name CREATE_BUILDING
Parameters
DOMAIN_NAME

string

The primary domain name.

NEW_VALUE

string

The new building name.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_BUILDING&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Building {NEW_VALUE} created

Building Deletion

Event details
Event name DELETE_BUILDING
Parameters
DOMAIN_NAME

string

The primary domain name.

OLD_VALUE

string

The previous building name.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_BUILDING&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Building {OLD_VALUE} deleted

Building Update

Event details
Event name UPDATE_BUILDING
Parameters
DOMAIN_NAME

string

The primary domain name.

FIELD_NAME

string

The name of the field.

NEW_VALUE

string

The name of the newly added building.

OLD_VALUE

string

The name of the deleted building.

RESOURCE_IDENTIFIER

string

The name of the resource identifier.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_BUILDING&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Building {RESOURCE_IDENTIFIER} updated field {FIELD_NAME} from {OLD_VALUE} to {NEW_VALUE}

Calendar Interop credentials generated

Short description for EWS IN credentials generation.

Event details
Event name EWS_IN_NEW_CREDENTIALS_GENERATED
Parameters
EXCHANGE_ROLE_ACCOUNT

string

Exchange Role Account (audit event parameter).

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EWS_IN_NEW_CREDENTIALS_GENERATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
New Calendar Interop Exchange authentication credentials were generated for the Google role account {EXCHANGE_ROLE_ACCOUNT}

Calendar Interop Exchange endpoint configuration cleared

Short description for clearing Calendar Interop Exchange endpoint configuration.

Event details
Event name EWS_OUT_ENDPOINT_CONFIGURATION_RESET
Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EWS_OUT_ENDPOINT_CONFIGURATION_RESET&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar Interop Exchange endpoint configuration was cleared

Calendar Interop Exchange endpoint configuration deleted

Short description for removing Calendar Interop Exchange endpoint configuration.

Event details
Event name EWS_OUT_ENDPOINT_CONFIGURATION_DELETED
Parameters
CALENDAR_INTEROP_AUTHENTICATION_TYPE

string

Authentication type for Calendar Interop Exchange endpoint configuration. Possible values:

  • BASIC
    Basic authentication type for Calendar Interop Exchange endpoint configuration.
  • OAUTH
    Oauth 2.0 authentication type for Calendar Interop Exchange endpoint configuration.
  • UNKNOWN
    Unknown authentication type for Calendar Interop Exchange endpoint configuration.
CALENDAR_INTEROP_CLIENT_ID

string

Client ID for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_DOMAIN_NAMES

string

Domain names for for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_TENANT_ID

string

Tenant ID for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_TOKEN_ENDPOINT_URL

string

Token endpoint URL for Calendar Interop Exchange endpoint configuration.

EXCHANGE_ROLE_ACCOUNT

string

Exchange Role Account (audit event parameter).

EXCHANGE_WEB_SERVICES_URL

string

Exchange Web Services URL (audit event parameter).

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EWS_OUT_ENDPOINT_CONFIGURATION_DELETED&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar Interop Exchange endpoint configuration with {CALENDAR_INTEROP_AUTHENTICATION_TYPE}, Exchange role accounts {EXCHANGE_ROLE_ACCOUNT}, supported domains {CALENDAR_INTEROP_DOMAIN_NAMES} and additional parameters: [URL: {EXCHANGE_WEB_SERVICES_URL}, Token endpoint URL: {CALENDAR_INTEROP_TOKEN_ENDPOINT_URL}, Tenant ID: {CALENDAR_INTEROP_TENANT_ID}, Client ID: {CALENDAR_INTEROP_CLIENT_ID}] was deleted

Calendar Interop Exchange endpoint configuration updated

Short description for changing Calendar Interop Exchange endpoint configuration.

Event details
Event name EWS_OUT_ENDPOINT_CONFIGURATION_CHANGED
Parameters
CALENDAR_INTEROP_AUTHENTICATION_TYPE

string

Authentication type for Calendar Interop Exchange endpoint configuration. Possible values:

  • BASIC
    Basic authentication type for Calendar Interop Exchange endpoint configuration.
  • OAUTH
    Oauth 2.0 authentication type for Calendar Interop Exchange endpoint configuration.
  • UNKNOWN
    Unknown authentication type for Calendar Interop Exchange endpoint configuration.
CALENDAR_INTEROP_CLIENT_ID

string

Client ID for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_DOMAIN_NAMES

string

Domain names for for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_TENANT_ID

string

Tenant ID for Calendar Interop Exchange endpoint configuration.

CALENDAR_INTEROP_TOKEN_ENDPOINT_URL

string

Token endpoint URL for Calendar Interop Exchange endpoint configuration.

EXCHANGE_ROLE_ACCOUNT

string

Exchange Role Account (audit event parameter).

EXCHANGE_WEB_SERVICES_URL

string

Exchange Web Services URL (audit event parameter).

NUMBER_OF_ADDITIONAL_EXCHANGE_ENDPOINTS

integer

Number of additional Exchange endpoints (audit event parameter).

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EWS_OUT_ENDPOINT_CONFIGURATION_CHANGED&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar Interop Exchange endpoint configuration was set or updated using {CALENDAR_INTEROP_AUTHENTICATION_TYPE}, with Exchange role accounts {EXCHANGE_ROLE_ACCOUNT}, supported domains {CALENDAR_INTEROP_DOMAIN_NAMES} and additional parameters: [URL: {EXCHANGE_WEB_SERVICES_URL}, Token endpoint URL: {CALENDAR_INTEROP_TOKEN_ENDPOINT_URL}, Tenant ID: {CALENDAR_INTEROP_TENANT_ID}, Client ID: {CALENDAR_INTEROP_CLIENT_ID}]

Calendar Resource Creation

Event details
Event name CREATE_CALENDAR_RESOURCE
Parameters
DOMAIN_NAME

string

The primary domain name.

NEW_VALUE

string

The name of the newly added resource.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_CALENDAR_RESOURCE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource {NEW_VALUE} created

Calendar Resource Deletion

Event details
Event name DELETE_CALENDAR_RESOURCE
Parameters
DOMAIN_NAME

string

The primary domain name.

OLD_VALUE

string

The name of the deleted resource.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_CALENDAR_RESOURCE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource {OLD_VALUE} deleted

Calendar Resource Feature Creation

Event details
Event name CREATE_CALENDAR_RESOURCE_FEATURE
Parameters
DOMAIN_NAME

string

The primary domain name.

NEW_VALUE

string

The name of the newly added resource feature.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_CALENDAR_RESOURCE_FEATURE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource feature {NEW_VALUE} created

Calendar Resource Feature Deletion

Event details
Event name DELETE_CALENDAR_RESOURCE_FEATURE
Parameters
DOMAIN_NAME

string

The primary domain name.

OLD_VALUE

string

The previous SETTING_NAME value that was replaced during this event.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_CALENDAR_RESOURCE_FEATURE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource feature {OLD_VALUE} deleted

Calendar Resource Feature Update

Event details
Event name UPDATE_CALENDAR_RESOURCE_FEATURE
Parameters
DOMAIN_NAME

string

The primary domain name.

FIELD_NAME

string

The name of the field.

NEW_VALUE

string

The name of the newly added resource feature.

OLD_VALUE

string

The name of the deleted resource feature.

RESOURCE_IDENTIFIER

string

The name of the resource identifier.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_CALENDAR_RESOURCE_FEATURE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource feature {RESOURCE_IDENTIFIER} updated field {FIELD_NAME} from {OLD_VALUE} to {NEW_VALUE}

Calendar Resource Rename

Event details
Event name RENAME_CALENDAR_RESOURCE
Parameters
DOMAIN_NAME

string

The primary domain name.

NEW_VALUE

string

The new name of the resource.

OLD_VALUE

string

The previous name of the resource.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=RENAME_CALENDAR_RESOURCE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource {OLD_VALUE} renamed to {NEW_VALUE}

Calendar Resource Update

Event details
Event name UPDATE_CALENDAR_RESOURCE
Parameters
DOMAIN_NAME

string

The primary domain name.

FIELD_NAME

string

The name of the field.

NEW_VALUE

string

The name of the newly added resource.

OLD_VALUE

string

The name of the deleted resource.

RESOURCE_IDENTIFIER

string

The name of the resource identifier.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_CALENDAR_RESOURCE&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Calendar resource {RESOURCE_IDENTIFIER} updated field {FIELD_NAME} from {OLD_VALUE} to {NEW_VALUE}

Calendar Setting Change

Event details
Event name CHANGE_CALENDAR_SETTING
Parameters
DOMAIN_NAME

string

The primary domain name.

GROUP_EMAIL

string

The group's primary email address.

NEW_VALUE

string

The new SETTING_NAME value that was set during this event.

OLD_VALUE

string

The previous SETTING_NAME value that was replaced during this event.

ORG_UNIT_NAME

string

The organizational unit (OU) name (path).

SETTING_NAME

string

The unique name (ID) of the setting that was changed.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_CALENDAR_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
{SETTING_NAME} for calendar service in your organization changed from {OLD_VALUE} to {NEW_VALUE}

Event cancellation request created

Event details
Event name CANCEL_CALENDAR_EVENTS
Parameters
USER_EMAIL

string

The user's primary email address.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CANCEL_CALENDAR_EVENTS&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Event cancellation request created for {USER_EMAIL}

Release resources request created

Event details
Event name RELEASE_CALENDAR_RESOURCES
Parameters
USER_EMAIL

string

The user's primary email address.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=RELEASE_CALENDAR_RESOURCES&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Release resources request created for {USER_EMAIL}

Update Calendar Data Owner

Short description for updating Calendar Data Owner.

Event details
Event name UPDATE_CALENDAR_DATA_OWNER
Parameters
CALENDAR_ID

string

Calendar ID parameter name.

CALENDAR_NAME

string

Calendar Name.

NEW_VALUE

string

The new SETTING_NAME value that was set during this event.

OLD_VALUE

string

The previous SETTING_NAME value that was replaced during this event.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_CALENDAR_DATA_OWNER&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Ownership of calendar {CALENDAR_NAME} was transferred from {OLD_VALUE} to {NEW_VALUE}

Update Calendar Resource Org Unit

Event details
Event name UPDATE_CALENDAR_RESOURCE_ORG_UNIT
Parameters
NEW_VALUE

string

The new SETTING_NAME value that was set during this event.

RESOURCE_IDENTIFIER

string

The name of the resource identifier.

Sample request
GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_CALENDAR_RESOURCE_ORG_UNIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN
Admin Console message format
Resource calendar {RESOURCE_IDENTIFIER} was assigned to a new organizational unit {NEW_VALUE}